## Create namespace. `client.AISearch.Namespaces.New(ctx, params) (*NamespaceNewResponse, error)` **post** `/accounts/{account_id}/ai-search/namespaces` Create a new namespace. ### Parameters - `params NamespaceNewParams` - `AccountID param.Field[string]` Path param - `Name param.Field[string]` Body param - `Description param.Field[string]` Body param: Optional description for the namespace. Max 256 characters. ### Returns - `type NamespaceNewResponse struct{…}` - `CreatedAt Time` - `Name string` - `Description string` Optional description for the namespace. Max 256 characters. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/ai_search" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) namespace, err := client.AISearch.Namespaces.New(context.TODO(), ai_search.NamespaceNewParams{ AccountID: cloudflare.F("c3dc5f0b34a14ff8e1b3ec04895e1b22"), Name: cloudflare.F("name"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", namespace.CreatedAt) } ``` #### Response ```json { "result": { "created_at": "2019-12-27T18:11:19.117Z", "name": "production", "description": "Production environment" }, "success": true } ```